# MATCRL

MATCRL = "crl" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQCRL when constructed with a single process communicator, and MATMPICRL otherwise. As a result, for single process communicators, MatSeqAIJSetPreallocation is supported, and similarly MatMPIAIJSetPreallocation is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

### Options Database Keys

-mat_type crl -sets the matrix type to "crl" during a call to MatSetFromOptions()

### See Also

MatCreateMPICRL,MATSEQCRL,MATMPICRL, MATSEQCRL, MATMPICRL

Level:beginner
Location: src/mat/impls/aij/aij/aijtype.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages